<#ibizinclude>
../@MACRO/CONTROL/LANGBASE.tsx.ftl
</#ibizinclude>
<i-form props={{ model: this.data }} class='app-search-form<#if ctrl.getLayoutMode() == "FLEX"> app-search-form-flex</#if><#if ctrl.getPSSysCss()??> ${ctrl.getPSSysCss().getCssName()}</#if><#if ctrl.isInfoFormMode?? && ctrl.isInfoFormMode()> info-form-mode</#if>' ref='${ctrl.name}'>
    <input style={{ display: 'none' }}></input>
    <row >
    <#if ctrl.isNoTabHeader()>
    <#list ctrl.getPSDEFormPages() as formmenber>
        ${P.getPartCode(formmenber).code}
    </#list>
    <#else>
        <tabs animated={false} name='${ctrl.name}' value={this.detailsModel.${ctrl.name}.activiedPage} 
            on-on-click={($event: any) => this.detailsModel.${ctrl.name}.clickPage($event)}>
            <#list ctrl.getPSDEFormPages() as formpage>
            {
                this.detailsModel.${formpage.name}.visible ?
                <tab-pane name='${formpage.name}' index={${formpage_index}} tab='${ctrl.name}' class='<#if formpage.getPSSysCss?? && formpage.getPSSysCss()??>${formpage.getPSSysCss().getCssName()}</#if>'  
                    label={
                        (h: any) => {
                            return (
                                <span class='caption<#if formpage.getLabelPSSysCss?? && formpage.getLabelPSSysCss()??> ${formpage.getLabelPSSysCss().getCssName()}</#if>'>
                                    <#if formpage.getPSSysImage()??>
                                    <span>
                                    <#assign sysimage = formpage.getPSSysImage()/>
                                    <#if sysimage.getImagePath() ==  "">
                                        <i class='${sysimage.getCssClass()}'></i>&nbsp;
                                    <#else>
                                        <img src='${sysimage.getImagePath()}'/>&nbsp;
                                    </#if>
                                    </span>
                                    </#if>
                                    {<#if langbase??>this.$t('${langbase}.details.${formpage.name}')<#else>'${formpage.getCaption()}'</#if>}
                                </span>
                            );
                        }
                    }>
                    ${P.getPartCode(formpage).code}
                </tab-pane> 
                : ''
            }
            </#list>
        </tabs>
    </#if>
    </row>
    <#if ctrl.getSearchButtonStyle() == 'DEFAULT'>

    <el-dropdown 
        class='search_reset' 
        size='small' 
        split-button={true} 
        trigger='click' 
        on-click={() => this.onSearch()} 
        on-command={() => this.onReset()}>
        {this.$t('app.searchButton.search')}
        <el-dropdown-menu slot='dropdown'>
            <el-dropdown-item>{this.$t('app.searchButton.reset')}</el-dropdown-item>
        </el-dropdown-menu>
    </el-dropdown>
    </#if>
    <#if ctrl.getSearchButtonStyle() == 'SEARCHONLY'>

    <el-button class='search_reset' style={{ width: 'auto' }} size='small' on-click={() => this.onSearch()}>{this.$t('app.searchButton.search')}</el-button>
    </#if>
</i-form>